Summary: Enhanced bourne shell
Name: zsh
Version: 3.0pre6
Release: 1
Copyright: GPL
Group: Shells
Packager: Trond Eivind Glomsrd (teg@pvv.ntnu.no)
Source: ftp.math.gatech.edu:/pub/zsh/src/zsh-3.0-pre6.tar.gz
Patch: zsh-conf.patch
Patch1: zsh-sparc.patch
%description
zsh is an enhanced version of the bourne shell with these features:
	- very close to ksh/sh grammar, with csh additions
	- most features of ksh, bash, and tcsh
	- 75 builtins, 89 options, 154 key bindings
	- short for loops, ex: for i (*.c) echo $i
	- select
	- shell functions
...and many more

%prep
%setup -n zsh-3.0-pre6
%patch -p1
%patch1 -p1

%build
CFLAGS="$RPM_OPT_FLAGS"  ./configure --prefix=/usr --bindir=/bin
make

%install
rm -f /usr/info/zsh*
make install
strip /bin/zsh
chmod 755 /bin/zsh
gzip -9nf /usr/info/zsh*
rm -f /bin/zsh-3.0-pre6
rm -f /bin/zsh.old
cp Etc/{BUGS,FAQ,CONTRIBUTORS,FEATURES,NEWS} .

%post
if [ ! -f /etc/shells ]; then
	echo "/bin/zsh" > /etc/shells
else
	if ! grep '^/bin/zsh$' /etc/shells > /dev/null; then
		echo "/bin/zsh" >> /etc/shells
	fi
fi


%files
%doc META-FAQ README NEWS ChangeLog Etc Util Functions
/bin/zsh
/usr/man/man1/zsh*.1
/usr/info/zsh*gz
